addtrans(1)

NAME
addtrans - interactively add transactions to a ledger file

SYNOPSIS
addtrans [options]

DESCRIPTION
addtrans is a graphical application for quickly adding new transactions to a ledger file.

A tutorial for using this program, with screenshots, is available at /usr/share/doc/ledgerhelpers/doc/addtrans.html

The program must be supplied with locations of the ledger and price database files to work with. The location of each file is determined independently, using the following mechanisms, in this order. The first mechanism which yields a result, wins.

OPTIONS

-h, --help Show help message and exit.

--file FILE
    Specify path to ledger file to work with.

--price-db PRICEDB
    Specify path to ledger price database to work with.

--debug
    Turn on debugging output, may be useful for developers.

ENVIRONMENT
The following environment variables are recognized by this program:

LEDGER_FILE
    Path to ledger file to work with.

LEDGER_PRICE_DB
    Path to ledger price database to work with.

FILES
The config file for ledger(1), namely file .ledgerrc in user's home directory is scanned looking for the following options.

--file FILE
    Path to ledger file to work with.

--price-db PRICEDB
    Path to ledger price database to work with.

SEE ALSO
ledger(1), cleartrans-cli(1), sellstock-cli(1), sorttrans-cli(1), withdraw-cli(1).
A tutorial for using this program, with screenshots, is available at /usr/share/doc/ledgerhelpers/doc/addtrans.html